<template>
  <div>
    <el-form ref="form" :model="form" label-width="80px" :disabled="true">
      <el-row>
        <el-col :span="12">
          <el-form-item label="部署名称" prop="deploymentName">
            <el-input v-model="form.deploymentName" maxlength="64" show-word-limit placeholder="请输入部署名称"/>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="通道" prop="passageway">
            <el-select v-model="form.passageway" placeholder="请选择通道（路）">
              <el-option
                  v-for="dict in dict.type.DICT109"
                  :key="dict.value"
                  :label="dict.label"
                  :value="dict.value"
              />
            </el-select>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="LAN1" prop="lanOne">
            <el-input v-model="form.lanOne" placeholder="请输入LAN1"/>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="IP" prop="ipOne">
            <el-input v-model="form.ipOne" placeholder="请输入IP"/>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="LAN2" prop="lanTwo">
            <el-input v-model="form.lanTwo" placeholder="请输入LAN2"/>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="IP" prop="ipTwo">
            <el-input v-model="form.ipTwo" placeholder="请输入IP"/>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="登录账号" prop="loginAccount">
            <el-input v-model="form.loginAccount" maxlength="64" show-word-limit placeholder="请输入登录账号"/>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="硬盘" prop="hardDisk">
            <el-input v-model="form.hardDisk" maxlength="64" show-word-limit placeholder="请输入硬盘"/>
          </el-form-item>
        </el-col>
      </el-row>
      <el-form-item label="安装位置" prop="buildingId">
        <building v-model="form.buildingId"></building>
      </el-form-item>
      <el-form-item label="所属单位" prop="organizationId">
        <organization v-model="form.organizationId"></organization>
      </el-form-item>
      <el-form-item label="施工批次" prop="constructionBatchId">
        <constructionBatch v-model="form.constructionBatchId"></constructionBatch>
      </el-form-item>
      <el-form-item label="序列号" prop="serialNumber">
        <el-input v-model="form.serialNumber" maxlength="64" show-word-limit placeholder="请输入序列号"/>
      </el-form-item>
      <el-row>
        <el-col :span="12">
          <el-form-item label="型号" prop="model">
            <el-input v-model="form.model" maxlength="64" show-word-limit placeholder="请输入型号"/>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="生产厂商" prop="manufacturerId">
            <manufacturer v-model="form.manufacturerId"></manufacturer>
          </el-form-item>
        </el-col>
      </el-row>
    </el-form>
  </div>
</template>

<script>
import {getNvr} from "@/api/oa/nvr";
import building from "../building";
import organization from "../organization";
import constructionBatch from "../constructionBatch";
import manufacturer from "../manufacturer";

export default {
  name: "NvrForm",
  dicts: ['DICT109'],
  components: {
    building,
    organization,
    constructionBatch,
    manufacturer
  },
  props: {
    nvrId: {
      type: Number,
      default: undefined
    }
  },
  data() {
    return {
      // 表单参数
      form: {},
    }
  },
  created() {
    this.getInfo()
  },
  methods: {
    getInfo() {
      getNvr(this.nvrId).then(response => {
        this.form = response.data;
      });
    }
  }
}
</script>

<style scoped>

</style>